%define git git20121225
%define srcname ktp-nepomuk-service
Summary:	Nepomuk integration service for Telepathy
Name:		telepathy-kde-nepomuk-service
Version:	0.1
Release:	%mkrel -c %{git} 3
Url:		https://projects.kde.org/projects/playground/network/telepathy/telepathy-nepomuk-service
# git archive --format=tar --remote=git://anongit.kde.org/ktp-nepomuk-service  --prefix=ktp-nepomuk-service/ master -v -o ktp-nepomuk-service-git20120917.tar
# xz ktp-nepomuk-service-git20120917.tar
Source0:	%{srcname}-%{git}.tar.xz
License:	GPLv2+
Group:		Graphical desktop/KDE
BuildRequires:	nepomuk-core-devel
BuildRequires:	telepathy-qt-devel
BuildRequires:  pkgconfig(shared-desktop-ontologies)
BuildRequires:  pkgconfig(icu-i18n)
Conflicts:      telepathy-nepomuk-service < 0.1-0.git20121225
Obsoletes:      telepathy-nepomuk-service < 0.1-0.git20121225
%description
Nepomuk integration service for Telepathy

%files
%_kde_libdir/kde4/nepomuktelepathyservice.so
%_kde_services/nepomuktelepathyservice.desktop
%dir %_kde_datadir/ontology/telepathy/
%_kde_datadir/ontology/telepathy/telepathy.ontology
%_kde_datadir/ontology/telepathy/telepathy.trig

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.1-0.git20121225.3.mga3
+ Revision: 384297
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 0.1-0.git20121225.2.mga3
+ Revision: 340042
- Add missing conflicts

* Tue Dec 25 2012 mikala <mikala> 0.1-0.git20121225.1.mga3
+ Revision: 335208
- Rename package to telepathy-kde-nepomuk-service
- Obsolete old telepathy-nepomuk-service package
- Rename package to match our telepathy-kde- subpackage
- Update git snapshot

* Tue Apr 10 2012 mikala <mikala> 0.1-0.git20120409.1.mga2
+ Revision: 230014
- Update snapshot
- Fix BuildRequires
- imported package telepathy-nepomuk-service

